未找到预定义规则

Moses Skoda工程师预计阅读 1 分钟

出现此问题时,API 会返回 404 Not Found。其 type 为 https://lingo.dev/docs/api/errors/predefined-rule-not-found。所有错误的通用结构见错误与状态码。

未找到预定义规则 <id>

字段#

除标准的 type、status、title 和 detail 成员外,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自定义文本。

字段类型
idstring

示例#

json
{
  "detail": "Predefined rule <id> not found",
  "id": "<id>",
  "type": "https://lingo.dev/docs/api/errors/predefined-rule-not-found",
  "status": 404,
  "title": "Predefined rule not found"
}

返回此错误的端点#

  • DELETE /v2/engines/{engineId}/predefined-rules/{id}
  • GET /v2/organizations/{orgId}/predefined-rules/{id}/engines
  • GET /v2/predefined-rules/{id}
  • PUT /v2/engines/{engineId}/predefined-rules/{id}